
% bisection yontemi
clc
clear all

a = 3.3;
b = 3.7;
iter = 1;
uzunluk = b - a;

while (uzunluk > 1e-8)
    xm = (a + b) / 2;
    if (sf(xm) * sf(a) < 0)
        b = xm;
    else
        a = xm;
    end
    uzunluk = b - a;
    iter = iter + 1;
end

fprintf('%20.19f  %20.19f \n', a, b);
